GNU Sortie de GNU Solfege 3.22.0

Posté par . Édité par Nÿco. Modéré par Xavier Claude. Licence CC by-sa
Tags : aucun
27
13
juin
2013
GNU

GNU Solfege est un logiciel libre d'éducation à la musique distribué sous licence GNU GPL 3. Il s'agit d'un logiciel multilingue multi-plateformes : il peut tourner sur tous les systèmes disposant de python 2.5, Gtk+ 2.12 et PyGtk 2.12, ce qui inclut notamment GNU/Linux, MS Windows et Mac OS X.

Deux ans après la précédente version majeure 3.20.0, la version 3.22.0 de GNU solfege vient de sortir, apportant notamment les nouvelles fonctionnalités suivantes :

  • exercices d'intervalles : ajout intervalles plus larges que double octave ;
  • elembuilder : les boutons de réponse ne sont pas cliquables quand l'utilisateur n'est pas censé cliquer dessus ;
  • la page de statistiques de chaque exercice dispose dorénavant d'un bouton permettant de supprimer les statistiques de l'exercice ;
  • le bouton « proposer la réponse » ne devient cliquable que lorsque une réponse a été saisie ;
  • visionneuse de statistiques : ajout d'une ligne à la table des pourcentages affichant le nombre et le pourcentage de réponses correctes pour la journée, la semaine et au total ;
  • la page d'accueil affiche le nom du fichier si l'application est démarrée en ligne de commande avec l'option --debug ;
  • exercice idtone : affichage des statistiques lorsque l'utilisateur configure le module lui-même, et enregistrement de la configuration
  • on peut maintenant déposer ses propres exercices écrits en Python dans ~/.solfege/exercises/dirname/modules/ ;
  • ajout d'un module d'exercice toneincontext ;
  • ajout d'un module d'exercice solmisation.
  • # ~/.bordel

    Posté par (page perso) . Évalué à  10 .

    ~/.solfege/exercises/dirname/modules/

    C'est juste pour dire, comme disait ma grand-mère, mais GNU pourrait montrer l'exemple en proposant l'unification des répertoires et fichiers de config de tous ses softs dans ~/.config/ (qui existe de toute façon, autant s'en servir) ça irait dans le sens d'une débordelisation de $HOME et partant, de lendemains plus mélodieux.

  • # version minimale

    Posté par . Évalué à  -5 .

    Il s'agit d'un logiciel multilingue multi-plateformes : il peut tourner sur tous les systèmes disposant de python 2.5, Gtk+ 2.12 et PyGtk 2.12

    En tant que linuxien je comprends cette phrase…
    Mais une personne qui s'intéresse un peu au logiciel pourrait se dire qu'il faut absolument du python 2.5 ou du gtk+2.12 et pas une autre version…
    Une autre irait jusqu'à penser que python 3.x pourrait faire l'affaire…

Suivre le flux des commentaires

Note : les commentaires appartiennent à ceux qui les ont postés. Nous n'en sommes pas responsables.